PeasyPrint 2.3

Forum member rcrsn51 has upgraded his very useful and easy-to-use GUI printing tool:

As you can see from the link, version 2.2 is for use with cups 1.3.11, 2.3 with cups 1.4.x.

I have added version 2.3 to the 'noarch' repo, retaining the 2.2 PET. So that Woof and the PPM can choose the correct one, which they should do automatically, I modified the dependencies field of 'pet.specs':

peasyprint-2.2-for-cups1.3.x|peasyprint|2.2-for-cups1.3.x||Graphic;print|32K|||+cups&lt1.4,+gphotofs|PeasyPrint graphic/photo printing||||

peasyprint-2.3|peasyprint|2.3||Graphic;print|32K|||+cups&ge1.4,+gphotofs|PeasyPrint graphic/photo printing||||

I changed the name of the 2.2 PET to clarify to anyone browsing the repo, why the older 2.2 is still there. Not an essential change, just maybe useful.

Note, I also modified the 'categories' field, specifying the 'print' sub-menu.
Ditto, in the peasyprint.desktop file I changed the Categories field:


Categories choices can be seen here:

Posted on 13 May 2013, 19:12

No comments posted yet.